import request from '@/utils/request'

// 查询设备参数列表
export function listBaseDeviceParam(query) {
  return request({
    url: '/mes/base/baseDeviceParam/list',
    method: 'get',
    params: query
  })
}

// 查询设备参数详细
export function getBaseDeviceParam(objId) {
  return request({
    url: '/mes/base/baseDeviceParam/' + objId,
    method: 'get'
  })
}

// 新增设备参数
export function addBaseDeviceParam(data) {
  return request({
    url: '/mes/base/baseDeviceParam',
    method: 'post',
    data: data
  })
}

// 修改设备参数
export function updateBaseDeviceParam(data) {
  return request({
    url: '/mes/base/baseDeviceParam',
    method: 'put',
    data: data
  })
}

// 删除设备参数
export function delBaseDeviceParam(objId) {
  return request({
    url: '/mes/base/baseDeviceParam/' + objId,
    method: 'delete'
  })
}
